<?php

/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package ogenix
 */

get_header();
?>

<main id="primary" class="site-main ">

    <!--Error Page Start-->
    <section class="error-page">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="error-page__inner">
                        <div class="error-page__title-box">
                            <h2 class="error-page__title"><?php echo esc_html__('4', 'ogenix'); ?><span><?php echo esc_html__('0', 'ogenix'); ?></span><?php echo esc_html__('4', 'ogenix'); ?></h2>
                            <div class="error-page__title-img-1">
                                <img src="<?php echo esc_url(get_theme_mod('404_page_bg_image')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>">
                            </div>
                            <div class="error-page__title-img-2">
                                <img src="<?php echo esc_url(get_theme_mod('404_page_title_image')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>">
                            </div>
                        </div>
                        <h3 class="error-page__tagline"><?php echo esc_html__('Page not found!', 'ogenix'); ?></h3>
                        <p class="error-page__text"><?php echo esc_html__('The page you are looking for was never existed.', 'ogenix'); ?></p>
                        <form class="error-page__form" method="get" action="<?php echo esc_url(home_url()); ?>">
                            <div class="error-page__form-input">
                                <input type="search" name="s" placeholder="<?php echo esc_attr__('Search here', 'ogenix'); ?>">
                                <button type="submit"><i class="icon-magnifying-glass"></i></button>
                            </div>
                        </form>
                        <div class="error-page__btn-box">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="thm-btn error-page__btn"><?php esc_html_e('Back to home', 'ogenix'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Error Page End-->

</main><!-- #main -->

<?php
get_footer();
