<?php

/**
 * Template part for displaying footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ogenix
 */
?>


<?php
$ogenix_page_id     = get_queried_object_id();
$ogenix_custom_footer_status = !empty(get_post_meta($ogenix_page_id, 'ogenix_custom_footer_status', true)) ? get_post_meta($ogenix_page_id, 'ogenix_custom_footer_status', true) : 'off';

$ogenix_custom_footer_id = '';
if ((is_page() && 'on' === $ogenix_custom_footer_status) || (is_singular('portfolio') && 'on' === $ogenix_custom_footer_status) || (is_singular('service') && 'on' === $ogenix_custom_footer_status) || (is_singular('team') && 'on' === $ogenix_custom_footer_status)) {
    $ogenix_custom_footer_id = get_post_meta($ogenix_page_id, 'ogenix_select_custom_footer', true);
} elseif ('yes' == get_theme_mod('footer_custom')) {
    $ogenix_custom_footer_id = get_theme_mod('footer_custom_post');
} else {
    $ogenix_custom_footer_id = 'default_footer';
}

$ogenix_dynamic_footer = isset($_GET['custom_footer_id']) ? $_GET['custom_footer_id'] : $ogenix_custom_footer_id;
?>


<?php if ('default_footer' == $ogenix_dynamic_footer) : ?>
    <footer class="footer-one default-footer">
        <div class="site-footer__bottom">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="site-footer__bottom-inner_copyright">
                            <p class="site-footer__bottom-text"><?php echo wp_kses(get_theme_mod('footer_copytext', esc_html__('&copy; Copyright 2023 by Ogenix WP', 'ogenix')), 'ogenix_allowed_tags'); ?></a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
<?php else : ?>
    <?php echo do_shortcode('[ogenix-footer id="' . $ogenix_dynamic_footer . '"]');
    ?>
<?php endif; ?>